Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class UTCTimeOnly

    java.lang.Object
      com.fxcm.fix.UTCTimestamp
          com.fxcm.fix.UTCTimeOnly

All Implemented Interfaces:
  Serializable, Comparable

    public class UTCTimeOnly

extends UTCTimestamp

UTCTimeOnly handles UTC time functionality. Time represented in UTC (Universal Time Coordinated, also known as "GMT")

See Also:
  Serialized Form

Constructor Summary
`UTCTimeOnly()` Constructor via current UTC time.
`UTCTimeOnly(Date aTime)` Constructor via given date object.
`UTCTimeOnly(String aTime)` Constructor via given date string.
`UTCTimeOnly(String aTime, boolean aIsTick)` Constructor via given date string.
`UTCTimeOnly(UTCTimestamp aTime)` Constructor via given timestamp.
`UTCTimeOnly(UTCTimestamp aTime, boolean aIsTick)` Constructor via given timestamp.

Method Summary

Methods inherited from class com.fxcm.fix.UTCTimestamp
`addDuration, compareTo, equals, getLocalDate, getLocalTimeZone, getTime, setDate, setLocalDate, toDate, toDate, toDateRef, toString, toString, toStringMs`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UTCTimeOnly

    public UTCTimeOnly()

  Constructor via current UTC time.

### UTCTimeOnly

    public UTCTimeOnly(String aTime)

  Constructor via given date string.

  Parameters:
    `aTime` - date in format `"HH:mm:ss"`

### UTCTimeOnly

    public UTCTimeOnly(Date aTime)

  Constructor via given date object.

  Parameters:
    `aTime` - Date object

### UTCTimeOnly

    public UTCTimeOnly(UTCTimestamp aTime)

  Constructor via given timestamp.

  Parameters:
    `aTime` - UTCTimestamp object

### UTCTimeOnly

    public UTCTimeOnly(UTCTimestamp aTime,
                       boolean aIsTick)

  Constructor via given timestamp.

  Parameters:
    `aTime` - UTCTimestamp object
    `aIsTick` - Indicates if this time supposed to be used as tick time

### UTCTimeOnly

    public UTCTimeOnly(String aTime,
                       boolean aIsTick)

  Constructor via given date string.

  Parameters:
    `aTime` - date in format `"HH:mm:ss.SSS"`
    `aIsTick` - Indicates if this time supposed to be used as tick time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.